set terminal tikz size 12cm,6cm
set output "cutoff-steps.tex"
#set multiplot layout 1,3 title "posting list decoding time (median of 100 iterations)"

# Damit wir saubere Werte haben und nicht am Anfang/Ende Ausreißer
set xrange [*:*]

# erzeugt mit:

# Ich will sehen, wie stark die Liste in jedem Schritt schon aussieht, wie das, was am Ende rauskommt.
# Also:
# in der Datenstruktur speichern, wie groß die Liste ist. Am Ende prozentual dumpen.

set title "average steps until $\\Delta_R = 0$"
set ylab "intersection steps"
#set ytics format "\\SI{%.0f}{\\milli\\second}" font ",10"
set xlab "\\# trigrams"
#set yrange [0:50]
set yrange [0:20]
#set xtics format "%.0fk" font ",10"
#set key top left samplen 2 spacing 2
plot (x * 1) title "possible steps", \
"cutoff-steps.raw" using 1:2 smooth sbezier title "necessary steps"
