set terminal tikz size 12cm,7cm
set output "htaccess-req-t.tex"

set title "real-world processing steps"
set yrange [0:10]
set ylab "time"
set ytics format "\\SI{%.0f}{\\second}"
set xlab "query \\\#"
plot "htaccess-req-t.dat" using 1:($2 / 1000) smooth sbezier title "time to first regexp result (t0)", \
"htaccess-req-t.dat" using 1:($3 / 1000) smooth sbezier title "time to receive and rank (t1)", \
"htaccess-req-t.dat" using 1:($4 / 1000) smooth sbezier title "time to sort (t2)", \
"htaccess-req-t.dat" using 1:($5 / 1000) smooth sbezier title "time to first index result (t3)"
