# erzeugt mit:
# for i in $(seq 1 10); do echo -n "$i "; ~/Downloads/weighttp/build/default/weighttp -c "$i" -n 100 "http://localhost:38080/search?q=i3Font" | perl -nlE 'if (/([0-9]+) req\/s/) { say $1; }'; done > weighttp-concurrent-i3font.dat
# for i in $(seq 1 10); do echo -n "$i "; ~/Downloads/weighttp/build/default/weighttp -c "$i" -n 100 "http://localhost:38080/search?q=XCreateWindow" | perl -nlE 'if (/([0-9]+) req\/s/) { say $1; }'; done > weighttp-concurrent-xcreatewindow.dat
# for i in $(seq 1 10); do echo -n "$i "; ~/Downloads/weighttp/build/default/weighttp -c "$i" -n 100 "http://localhost:38080/search?q=strftime" | perl -nlE 'if (/([0-9]+) req\/s/) { say $1; }'; done > weighttp-concurrent-strftime.dat
# for i in $(seq 1 10); do echo -n "$i "; ~/Downloads/weighttp/build/default/weighttp -c "$i" -n 100 "http://localhost:38080/search?q=systemctl" | perl -nlE 'if (/([0-9]+) req\/s/) { say $1; }'; done > weighttp-concurrent-systemctl.dat
# for i in $(seq 1 10); do echo -n "$i "; ~/Downloads/weighttp/build/default/weighttp -c "$i" -n 100 "http://localhost:38080/search?q=_NET_WM_PID" | perl -nlE 'if (/([0-9]+) req\/s/) { say $1; }'; done > weighttp-concurrent-netwmpid.dat

set terminal tikz size 12cm,6cm
set output "weighttp-concurrent.tex"

# Damit wir saubere Werte haben und nicht am Anfang/Ende Ausreißer
#set xrange [*:*]

# erzeugt mit:

# Ich will sehen, wie stark die Liste in jedem Schritt schon aussieht, wie das, was am Ende rauskommt.
# Also:
# in der Datenstruktur speichern, wie groß die Liste ist. Am Ende prozentual dumpen.

set title "Effect of higher concurrent requests"
set ylab "queries per second"
#set ytics format "\\SI{%.0f}{\\milli\\second}" font ",10"
set xlab "concurrent requests"
#set yrange [0:50]
#set yrange [0:20]
#set xtics format "%.0fk" font ",10"
#set key top left samplen 2 spacing 2
plot "weighttp-concurrent-xcreatewindow.dat" using 1:2 smooth sbezier title "XCreateWindow", \
     "weighttp-concurrent-strftime.dat" using 1:2 smooth sbezier title "strftime", \
     "weighttp-concurrent-systemctl.dat" using 1:2 smooth sbezier title "systemctl", \
     "weighttp-concurrent-netwmpid.dat" using 1:2 smooth sbezier title "\\_NET\\_WM\\_PID"
